net.minecraft.network.packet

## Class Packet11PlayerPosition

- java.lang.Object
- - net.minecraft.network.packet.Packet
  - - net.minecraft.network.packet.Packet10Flying
    - - net.minecraft.network.packet.Packet11PlayerPosition

-     public class Packet11PlayerPosition
      extends Packet10Flying

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.network.packet.Packet10Flying

      `moving, onGround, pitch, rotating, stance, xPosition, yaw, yPosition, zPosition`

    - ### Fields inherited from class net.minecraft.network.packet.Packet

      `creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Packet11PlayerPosition()`
    `Packet11PlayerPosition(double par1, double par3, double par5, double par7, boolean par9)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPacketSize()` Abstract.
    `void` | `readPacketData(DataInput par1DataInput)` Abstract.
    `void` | `writePacketData(DataOutput par1DataOutput)` Abstract.

    - ### Methods inherited from class net.minecraft.network.packet.Packet10Flying

      `containsSameEntityIDAs, isRealPacket, processPacket`

    - ### Methods inherited from class net.minecraft.network.packet.Packet

      `addIdClassMapping, canProcessAsync, getNewPacket, getPacketId, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Packet11PlayerPosition

          public Packet11PlayerPosition()

    - #### Packet11PlayerPosition

          public Packet11PlayerPosition(double par1,
                                double par3,
                                double par5,
                                double par7,
                                boolean par9)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(DataInput par1DataInput)
                              throws IOException

      Abstract. Reads the raw packet data from the data stream.
      Overrides:
        `readPacketData` in class `Packet10Flying`
      Throws:
        `IOException`

    - #### writePacketData

          public void writePacketData(DataOutput par1DataOutput)
                               throws IOException

      Abstract. Writes the raw packet data to the data stream.
      Overrides:
        `writePacketData` in class `Packet10Flying`
      Throws:
        `IOException`

    - #### getPacketSize

          public int getPacketSize()

      Abstract. Return the size of the packet (not counting the header).
      Overrides:
        `getPacketSize` in class `Packet10Flying`